/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMCERTIFICADOFISCALIA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmcertificadofiscalia.findAll", query = "SELECT t FROM Tarmcertificadofiscalia t"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByCcertificadofiscalia", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.ccertificadofiscalia = :ccertificadofiscalia"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByNrsolicitud", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.nrsolicitud = :nrsolicitud"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByNombresolicitante", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.nombresolicitante = :nombresolicitante"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByNrinstruccionfiscal", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.nrinstruccionfiscal = :nrinstruccionfiscal"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByXpath", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.xpath = :xpath"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByXpathsolicitudarma", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.xpathsolicitudarma = :xpathsolicitudarma"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByFcreacion", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.fcreacion = :fcreacion"),
    @NamedQuery(name = "Tarmcertificadofiscalia.findByNroficiofiscalia", query = "SELECT t FROM Tarmcertificadofiscalia t WHERE t.nroficiofiscalia = :nroficiofiscalia")})
public class Tarmcertificadofiscalia implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CCERTIFICADOFISCALIA")
    private Long ccertificadofiscalia;
    @Column(name = "NRSOLICITUD")
    private String nrsolicitud;
    @Column(name = "NOMBRESOLICITANTE")
    private String nombresolicitante;
    @Column(name = "NRINSTRUCCIONFISCAL")
    private String nrinstruccionfiscal;
    @Column(name = "XPATH")
    private String xpath;
    @Column(name = "XPATHSOLICITUDARMA")
    private String xpathsolicitudarma;
    @Column(name = "FCREACION")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fcreacion;
    @Column(name = "NROFICIOFISCALIA")
    private String nroficiofiscalia;
    @JoinColumn(name = "PERSONCODE", referencedColumnName = "PERSONCODE")
    @ManyToOne
    private Tcustperson personcode;

    public Tarmcertificadofiscalia() {
    }

    public Tarmcertificadofiscalia(Long ccertificadofiscalia) {
        this.ccertificadofiscalia = ccertificadofiscalia;
    }

    public Long getCcertificadofiscalia() {
        return ccertificadofiscalia;
    }

    public void setCcertificadofiscalia(Long ccertificadofiscalia) {
        this.ccertificadofiscalia = ccertificadofiscalia;
    }

    public String getNrsolicitud() {
        return nrsolicitud;
    }

    public void setNrsolicitud(String nrsolicitud) {
        this.nrsolicitud = nrsolicitud;
    }

    public String getNombresolicitante() {
        return nombresolicitante;
    }

    public void setNombresolicitante(String nombresolicitante) {
        this.nombresolicitante = nombresolicitante;
    }

    public String getNrinstruccionfiscal() {
        return nrinstruccionfiscal;
    }

    public void setNrinstruccionfiscal(String nrinstruccionfiscal) {
        this.nrinstruccionfiscal = nrinstruccionfiscal;
    }

    public String getXpath() {
        return xpath;
    }

    public void setXpath(String xpath) {
        this.xpath = xpath;
    }

    public String getXpathsolicitudarma() {
        return xpathsolicitudarma;
    }

    public void setXpathsolicitudarma(String xpathsolicitudarma) {
        this.xpathsolicitudarma = xpathsolicitudarma;
    }

    public Date getFcreacion() {
        return fcreacion;
    }

    public void setFcreacion(Date fcreacion) {
        this.fcreacion = fcreacion;
    }

    public String getNroficiofiscalia() {
        return nroficiofiscalia;
    }

    public void setNroficiofiscalia(String nroficiofiscalia) {
        this.nroficiofiscalia = nroficiofiscalia;
    }

    public Tcustperson getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Tcustperson personcode) {
        this.personcode = personcode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ccertificadofiscalia != null ? ccertificadofiscalia.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmcertificadofiscalia)) {
            return false;
        }
        Tarmcertificadofiscalia other = (Tarmcertificadofiscalia) object;
        if ((this.ccertificadofiscalia == null && other.ccertificadofiscalia != null) || (this.ccertificadofiscalia != null && !this.ccertificadofiscalia.equals(other.ccertificadofiscalia))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmcertificadofiscalia[ ccertificadofiscalia=" + ccertificadofiscalia + " ]";
    }
    
}
